Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# File::Spec::VMS

Perl 5 version 18.2 documentation
Go to top
Show page index • Show recent pages
Recently read

# File::Spec::VMS

- NAME
- SYNOPSIS
- DESCRIPTION
- COPYRIGHT
- SEE ALSO

# NAME

File::Spec::VMS - methods for VMS file specs

# SYNOPSIS

     require File::Spec::VMS; # Done internally by File::Spec if needed

# DESCRIPTION

See File::Spec::Unix for a documentation of the methods provided there. This package overrides the implementation of these methods, not the semantics.

The default behavior is to allow either VMS or Unix syntax on input and to return VMS syntax on output unless Unix syntax has been explicity requested via the `DECC$FILENAME_UNIX_REPORT` CRTL feature.

- canonpath (override)

  Removes redundant portions of file specifications and returns results in native syntax unless Unix filename reporting has been enabled.

- catdir (override)

  Concatenates a list of file specifications, and returns the result as a native directory specification unless the Unix filename reporting feature has been enabled. No check is made for "impossible" cases (e.g. elements other than the first being absolute filespecs).

- catfile (override)

  Concatenates a list of directory specifications with a filename specification to build a path.

- curdir (override)

  Returns a string representation of the current directory: '[]' or '.'

- devnull (override)

  Returns a string representation of the null device: '_NLA0:' or '/dev/null'

- rootdir (override)

  Returns a string representation of the root directory: 'SYS$DISK:[000000]' or '/'

- tmpdir (override)

  Returns a string representation of the first writable directory from the following list or '' if none are writable:

          /tmp if C<DECC$FILENAME_UNIX_REPORT> is enabled.    sys$scratch:    $ENV{TMPDIR}

  Since perl 5.8.0, if running under taint mode, and if $ENV{TMPDIR} is tainted, it is not used.

- updir (override)

  Returns a string representation of the parent directory: '[-]' or '..'

- case_tolerant (override)

  VMS file specification syntax is case-tolerant.

- path (override)

  Translate logical name DCL$PATH as a searchlist, rather than trying to `split` string value of `$ENV{'PATH'}` .

- file_name_is_absolute (override)

  Checks for VMS directory spec as well as Unix separators.

- splitpath (override)

          ($volume,$directories,$file) = File::Spec->splitpath( $path );    ($volume,$directories,$file) = File::Spec->splitpath( $path,                                                          $no_file );

  Passing a true value for `$no_file` indicates that the path being split only contains directory components, even on systems where you can usually (when not supporting a foreign syntax) tell the difference between directories and files at a glance.

- splitdir (override)

  Split a directory specification into the components.

- catpath (override)

  Construct a complete filespec.

- abs2rel (override)

  Attempt to convert an absolute file specification to a relative specification.

- rel2abs (override)

  Return an absolute file specification from a relative one.

# COPYRIGHT

Copyright (c) 2004 by the Perl 5 Porters. All rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

# SEE ALSO

See File::Spec and File::Spec::Unix. This package overrides the implementation of these methods, not the semantics.

An explanation of VMS file specs can be found at http://h71000.www7.hp.com/doc/731FINAL/4506/4506pro_014.html#apps_locating_naming_files.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- COPYRIGHT
- SEE ALSO